##### thread_pool::thread_pool (5 of 6 overloads)

Constructs a pool with a specified number of threads.

    thread_pool(
        std::size_t num_threads,
        const execution_context::service_maker & initial_services);

Construct with a service maker, to create an initial set of services that will be installed into the execution context at construction time.

###### Parameters

num_threads

  The number of threads required.

initial_services

  Used to create the initial services. The `make` function will be called once at the end of `execution_context` construction.